Bug 1173 - rpm seems to be lacking version checking...
Summary: rpm seems to be lacking version checking...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-15 15:49 UTC by Bill Nottingham
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-19 14:42:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 1999-02-15 15:49:41 UTC
[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -q bash
bash-1.14.7-14

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -Uvh
../../5.2/i386/bash-1.14.7-13.i386.rpm
bash
##################################################

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -q bash
bash-1.14.7-13

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -Uvh
./bash-1.14.7-14.i386.rpm
bash
##################################################

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -q bash
bash-1.14.7-14

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -Uvh
../../5.2/i386/bash-1.14.7-13.i386.rpm
bash
##################################################
[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -q bash
bash-1.14.7-13

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -Uvh
./bash-1.14.7-14.i386.rpm
bash
##################################################

Comment 1 Erik Troan 1999-03-19 14:42:59 UTC
fixed in some RPM 2.92 version (definitely in Starbuck)


Note You need to log in before you can comment on or make changes to this bug.